[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomTreeView.TopItem

TopItem - the first visible node of the tree

## Declaration

Source position: comctrls.pp line 2697

`public property TCustomTreeView.TopItem: TTreeNode read GetTopItem write SetTopItem;`

## Description

Use TopItem to get the topmost visible node. It is usually needed when tree view contains many nodes and scroll bar is requred to display them all. If you need the first node of the tree regardless of visibility use Items[0]

## See also

TCustomTreeView.Items |  | Items - the list of entries in the list. Held as a linked list with a cached index of the last accessed item
TCustomTreeView.GetNodeAtY

The latest version of this document can be found at lazarus-ccr.sourceforge.net.